package watch_graph //nolint:staticcheck

import (
	corev1 "k8s.io/api/core/v1"
)

func (vx *wgObject2vertex) collectContainerV1Arcs(c *corev1.Container, arcType ArcType) {
	collectEach(c.EnvFrom, arcType, vx.collectEnvFromSourceV1Arcs)
	collectEach(c.Env, arcType, vx.collectEnvVarV1Arcs)
}
